//
//  PGLabel.m
//  Pegasus
//
//  Copyright 2012 Jonathan Ellis
//
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//  http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.
//

#import "PGLabel.h"

@implementation PGLabel

+ (id)internalViewWithAttributes:(NSDictionary *)attributes {
    return [[UILabel alloc] init];
}

+ (NSString *)name {
    return @"label";
}

+ (NSDictionary *)properties {
    
    NSMutableDictionary *properties =[NSMutableDictionary dictionaryWithObjectsAndKeys:
                                     @"NSString", @"text", 
                                     @"UIFont", @"font",
                                     @"UIColor", @"textColor", 
                                     @"UITextAlignment", @"textAlignment",
                                     @"UILineBreakMode", @"lineBreakMode",
                                     @"BOOL", @"enabled",
                                     @"BOOL", @"adjustsFontSizeToFitWidth",
                                     @"float", @"minimumFontSize",
                                     @"int", @"numberOfLines",
                                     @"UIColor", @"highlightedTextColor",
                                     @"BOOL", @"highlighted", 
                                     @"UIColor", @"shadowColor",
                                     @"CGSize", @"shadowOffset",
                                     @"BOOL", @"userInteractionEnabled",
                                     nil];
    
    [properties addEntriesFromDictionary:[PGView properties]];
    
    return properties;
}

@end
